import QtQuick 2.12
import QtQuick.Controls 2.5
import QtQuick.Dialogs 1.0

Page {
    width: 1280
    height: 670

    title: qsTr("Sending")

    Connections {
      target: _qmlHandler
      onSetFileUrlText: {
        fileUrlText.text = signalText
      }
    }

    Button {
        id: selectFileButton
        x: 510
        y: 291
        width: 260
        height: 89
        text: qsTr("Select File")
        font.pointSize: 16
        onClicked: {fileDialog.open()}
    }

    Text {
        id: fileUrlText
        x: 54
        y: 427
        width: 1172
        height: 52
        color: "#ffffff"
        text: qsTr("")
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignHCenter
        font.pixelSize: 23
    }

    FileDialog {
      id: fileDialog
      title: "Please choose a file"
      folder: shortcuts.home
      onAccepted: {
        _qmlHandler.onSelectFile(fileDialog.fileUrl)
      }
    }
}
